if [ $(id -u) -ne 0 ]; then
  echo "Запустите команду от администратора (sudo bash $0)"
  exit
fi

export HOME=$(eval echo ~$SUDO_USER)

DOTNET_FILE=dotnet-runtime-8.0.0-linux-x64.tar.gz
export DOTNET_ROOT=$HOME/.dotnet
mkdir -p "$DOTNET_ROOT" && tar zxf "$DOTNET_FILE" -C "$DOTNET_ROOT"
export PATH=$PATH:$DOTNET_ROOT:$DOTNET_ROOT/tools

echo -e "export DOTNET_ROOT=$HOME/.dotnet
export PATH=$PATH:$DOTNET_ROOT:$DOTNET_ROOT/tools" >> ~/.bash_profile

dnf install dpkg

echo -e 'KERNEL=="ttyACM*", MODE="0666"' >/etc/udev/rules.d/com-zlabs.rules
echo -e 'KERNEL=="hidraw*", MODE="0666"' >/etc/udev/rules.d/hid-zlabs.rules

dpkg -i ZLabs.deb

chmod +x /usr/lib/ZLabs/ZLab_Avalonia


